//
//  QGFilterBrowser.h
//  YTest
//
//  Created by Matthew McCowan on 7/17/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGFilterTemplate.h"
#import "QGFilterInputTemplate.h"


@interface QGFilterBrowser : QGObject
{
	// Instance
	NSArray   *filters;
	NSArray   *categories;
}

// Class
+ (QGFilterBrowser *) sharedInstance;


// Properties
- (int) categoryCount;
- (int) filterCountAtCategoryIndex:(unsigned)categoryIndex;
- (QGFilterTemplate *) filterAtIndex:(unsigned)filterIndex;

// Browser Support
- (NSString *) categoryDescriptionAtIndex:(unsigned int)categoryIndex;
- (NSString *) filterDescriptionAtIndex:(unsigned int)filterIndex;
- (NSString *) filterNameAtAtIndex:(unsigned int)filterIndex;
- (NSString *) filterDescriptionAtCategoryIndex:(unsigned int)categoryIndex andFilterIndex:(unsigned int)filterIndex;
- (unsigned) indexForCategoryIndex:(unsigned)categoryIndex atFilterIndex:(unsigned)filterIndex;


// Creation
- (NSArray *) filterInputsForFilterAtIndex:(unsigned)filterIndex;
- (NSArray *) filterInputControllersForFilterAtIndex:(unsigned)filterIndex forOwner:(id)owner;
- (int) indexForFilterName:(NSString *)name;

@end
