//
//  QGFilterInputController.h
//  Immutation
//
//  Created by Matthew McCowan on 6/12/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGFilterInputView.h"
#import "QGInputValue.h"
#import "QGDynamicController.h"


@interface QGFilterInputController : QGDynamicController
{
	// Instance
	NSString     *inputKey;
	NSDictionary *attributes;

	// Outlet
	IBOutlet NSTextField *titleField;
}

// Initialization
- (id) initForKey:(NSString *)initInputKey withAttributes:(NSDictionary *)initAttributes forOwner:(id)initOwner;


// Properties
- (BOOL) hasValue;


// Values
- (QGInputValue *) value;
- (void) setValue:(id)newValue;
- (NSString *) nibName;
- (NSString *) inputKey;


// Action
- (IBAction) changeValue:(id)sender;

@end
