//
//  QGImageCommons.h
//  Quickgigs Immutation
//
//  Created by Matthew McCowan on 4/15/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import "QGFoundation.h"

typedef enum _QGOrientation {
	QGSingle    = 0,
	QGLandscape = 1,
	QGPortrait  = 2    
} QGOrientationValue;


typedef enum _QGLayout {
	QGNoLayout          = 0,
	QGOriginalSingle    = 1,
	QGFilteredSingle    = 2,
	QGOriginalPortrait  = 3,
	QGOriginalLandscape = 4,
	QGFilteredPortrait  = 5,
	QGFilteredLandscape = 6,
	QGMixedPortrait     = 7,
	QGMixedLandscape    = 8
} QGLayoutValue;


typedef enum _QGFlowState {
	QGNoImages       = 0,
	QGImages         = 1,
	QGFlowSelected   = 2,
	QGFilteredImages = 3,
} QGFlowValue;


struct QGShuffleInfo
{
	float cell_size;            // size of cell
	float x_offset;             // offset to transform x for first cell
	int   first_cell;           // index of first cell to be drawn
	int   last_cell;            // index of last cell to be drawn
	int   cell_count;           // number of cells to draw
	float origin_x;             // start x of selection line
	float selection_width;      // end x of selection line
};
typedef struct QGShuffleInfo QGShuffleInfo;


// State Functions
QGOrientationValue QGNextOrientation(QGOrientationValue orientation);


// Shuffle Functions
QGShuffleInfo QGShuffle(CGRect bounds, int count, int current_selected_cell);



